← Tags
Add Tags
Add one or more tags to an existing contact. If a tag already exists on the contact it will not be duplicated.
POST
/contacts/:contactId/tagsScope
contacts.write
Auth Method
Bearer Token
Token Type
Sub-Account / Company
Header Parameters
| Parameter | Type | Description |
|---|---|---|
Authorizationrequired | string | Bearer {access_token} |
Versionrequired | string | API Version Possible values: 2021-07-28 |
Content-Typerequired | string | application/json |
Path Parameters
| Parameter | Type | Description |
|---|---|---|
contactIdrequired | string | The unique ID of the contact to add tags to. |
Body Parameters
| Parameter | Type | Description |
|---|---|---|
tagsrequired | string[] | An array of tag names to add to the contact. Tags are case-sensitive strings. |
Example RequestcURL
curl -X POST \
'https://services.leadconnectorhq.com/contacts/{contactId}/tags' \
-H 'Authorization: Bearer {access_token}' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"tags": ["vip", "newsletter", "austin-tx"]
}'Response — 200 OK
Example ResponseJSON
{
"tags": ["vip", "newsletter", "austin-tx"]
}Idempotent Operation
Adding a tag that already exists on the contact is a no-op for that tag — it will not create a duplicate. The response always returns the full set of tags that were sent in the request.
